#ifndef _CGI_HTMLDOCUMENT_H
#define _CGI_HTMLDOCUMENT_H

#include "ElementList.h"

namespace Cgi
{


class HtmlDocument : public ElementList
{
public:
	HtmlDocument(doctype_t = DOCTYPE_HTML_401_TRANSITIONAL);
	~HtmlDocument();

	std::string ToString() const;

	Element *Copy() { return new HtmlDocument(*this); }

	doctype_t GetDoctype() { return m_doctype; }

private:
	doctype_t m_doctype;
};


} // namespace Cgi


#endif // _CGI_HTMLDOCUMENT_H
