#ifndef _CGI_TITLE_H
#define _CGI_TITLE_H

#include "Element.h"

namespace Cgi
{


class Title : public Element
{
public:
	Title(const std::string& title) : Element("title") {
		SetContent( title );
	}

	Element *Copy() { return new Title( *this ); }

	void SetTitle(const std::string& title) { SetContent(title); }
	const std::string& GetTitle() { return GetContent(); }

};


} // namespace Cgi


#endif // _CGI_TITLE_H
