#ifndef _CGI_ELEMENTLIST_H
#define _CGI_ELEMENTLIST_H

#include <list>
#include "Element.h"

namespace Cgi
{

typedef std::list<Element *> element_v;

class RefCount;

class ElementList : public Element
{
public:
	ElementList(const std::string& tag);
	ElementList(const ElementList& );
	~ElementList();

	std::string ToString() const;

	void Add(Element& el);

	std::string GetElements() const;

private:
	RefCount *m_ref_count;
	element_v m_elements;
};


} // namespace Cgi


#endif // _CGI_ELEMENTLIST_H
