#ifndef _CGI_STYLE_H
#define _CGI_STYLE_H

#include "Element.h"

namespace Cgi
{


class Style : public Element
{
public:
	Style(const std::string& type, const std::string& content) : Element("style") {
		SetType(type);
		SetContent(content);
	}

	Element *Copy() { return new Style(*this); }

	void SetType(const std::string& type) { SetAttribute("type", type); }
	const std::string& GetType() { return GetAttribute("type"); }

};


} // namespace Cgi


#endif // _CGI_STYLE_H
